Documentation Index Fetch the complete documentation index at: https://developers.gyramais.com.br/llms.txt
Use this file to discover all available pages before exploring further.
Quando usar
Use este endpoint para cadastrar um destino de webhook e receber eventos da plataforma em tempo real. Você pode usar quando quiser reagir automaticamente a mudanças de status de relatório, conclusão de processamento ou eventos operacionais sem depender de polling.
Autenticação
Bearer JWT no header Authorization.
Corpo da requisição
{
"type" : "..." ,
"url" : "https://webhook-test.com/a0a7aadb8de3e" ,
"apiKey" : "xxx-xxx-xxx"
}
curl --location 'https://gyra-core.gyramais.com.br/webhook' \
--header 'Authorization: Bearer {seu_token_jwt}' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "...",
"url": "https://webhook-test.com/a0a7aadb8de3e",
"apiKey": "xxx-xxx-xxx"
}'
200 OK
400 Bad Request
401 Unauthorized
{
"id" : "69a20f96f5b9cb55d8e8a6a1" ,
"organizationId" : "65eb4989a4a87b9a94d1920f" ,
"type" : "REPORT_FINISHED" ,
"url" : "https://webhook-test.com/a0a7aadb8de3e" ,
"apiKey" : "xxx-xxx-xxx" ,
"createdAt" : "2026-02-27T21:41:42.013Z" ,
"updatedAt" : "2026-02-27T21:41:42.013Z"
}